MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Namespace List
- Namespace Members

Data Structures | Typedefs | Functions | Variables
Java Namespace Reference

## Data Structures
class | Class
| Wrapper for a local "jclass" reference. More...
class | File
| Wrapper for a java.io.File object. More...
class | GlobalRef
| Hold a global reference on a JNI object. More...
class | LocalRef
| Hold a local reference on a JNI object. More...
class | Object
class | String
| Wrapper for a local "jstring" reference. More...
class | TrivialClass
| Wrapper for a global "jclass" reference. More...
class | TrivialRef
| Container for a global reference to a JNI object that gets initialised and deinitialised explicitly. More...

## Typedefs
typedef LocalRef< jobject > | LocalObject
| Wrapper for a local "jobject" reference. More...

## Functions
static bool | DiscardException (JNIEnv *env)
| Check if an exception has occurred, and discard it. More...
void | Init (JNIEnv *env)
static void | DetachCurrentThread ()
static gcc_pure JNIEnv * | GetEnv ()

## Variables
JavaVM * | jvm

## Typedef Documentation

typedef LocalRef<jobject> Java::LocalObject

Wrapper for a local "jobject" reference.

Definition at line 41 of file Object.hxx.

## Function Documentation

static void Java::DetachCurrentThread | ( |  | ) |
| inline static

Definition at line 43 of file Global.hxx.

static bool Java::DiscardException | ( | JNIEnv * | env | ) |
| inline static

Check if an exception has occurred, and discard it.

Returns
  true if an exception was found (and discarded)

Definition at line 41 of file Exception.hxx.

static gcc_pure JNIEnv* Java::GetEnv | ( |  | ) |
| inline static

Definition at line 50 of file Global.hxx.

void Java::Init | ( | JNIEnv * | env | ) |

## Variable Documentation

JavaVM* Java::jvm